summaryrefslogtreecommitdiff
path: root/contrib/build-openssl-mingw-cross.sh
diff options
context:
space:
mode:
authorOthmar Gsenger <otti@anytun.org>2012-01-05 21:39:07 +0000
committerOthmar Gsenger <otti@anytun.org>2012-01-05 21:39:07 +0000
commit60229d939672f554621fdf97ab2ed534fa9f7de7 (patch)
treecf94ff89af9547deb455b2a0e8871780ce6b4a40 /contrib/build-openssl-mingw-cross.sh
parentfixed mingw build target (diff)
added helper scripts for mingw environment
Diffstat (limited to 'contrib/build-openssl-mingw-cross.sh')
-rwxr-xr-xcontrib/build-openssl-mingw-cross.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/contrib/build-openssl-mingw-cross.sh b/contrib/build-openssl-mingw-cross.sh
new file mode 100755
index 0000000..39f73eb
--- /dev/null
+++ b/contrib/build-openssl-mingw-cross.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+OPENSSL=openssl-1.0.0f
+BASE=`pwd`
+
+wget http://openssl.org/source/$OPENSSL.tar.gz -O - | tar xz
+
+cd $OPENSSL
+patch -p1 < ../openssl-1.0.0f-configure.patch
+./config --cross-compile-prefix=x86_64-w64-mingw32- shared mingw64 --prefix=$BASE/openssl-w64/
+make
+make install
+make clean
+./config --cross-compile-prefix=i686-w64-mingw32- shared mingw --prefix=$BASE/openssl-w32/
+make
+make install
+make clean
+cd ..
+rm -rf $OPENSSL